Skip to main content
GET
/
workspaces
/
{workspace_id}
/
agent
/
presets
/
{preset_id}
/
versions
Error
A valid request URL is required to generate request examples
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "preset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "version": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "capabilities": [],
      "subagent_eligibility": {
        "eligible": true,
        "reasons": [],
        "message": "<string>"
      }
    }
  ],
  "next_cursor": "<string>",
  "prev_cursor": "<string>",
  "has_more": false,
  "has_previous": false,
  "total_estimate": 123
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

fastapiusersauth
string
cookie
required

Path Parameters

preset_id
string<uuid>
required
workspace_id
string<uuid>
required

Query Parameters

limit
integer
default:20
Required range: 1 <= x <= 200
cursor
string | null
reverse
boolean
default:false

Response

Successful Response

items
AgentPresetVersionReadMinimal · object[]
required
next_cursor
string | null

Cursor for next page

prev_cursor
string | null

Cursor for previous page

has_more
boolean
default:false

Whether more items exist

has_previous
boolean
default:false

Whether previous items exist

total_estimate
integer | null

Estimated total count from table statistics